Source-Changes-HG archive
[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]
[src/trunk]: src/tests/modules Skip the test on non-modular kernels
details: https://anonhg.NetBSD.org/src/rev/0620fde979bb
branches: trunk
changeset: 358605:0620fde979bb
user: martin <martin%NetBSD.org@localhost>
date: Tue Jan 09 15:16:02 2018 +0000
description:
Skip the test on non-modular kernels
diffstat:
tests/modules/t_klua_pr_52864.sh | 8 ++++++--
1 files changed, 6 insertions(+), 2 deletions(-)
diffs (25 lines):
diff -r 7ce3a186e72a -r 0620fde979bb tests/modules/t_klua_pr_52864.sh
--- a/tests/modules/t_klua_pr_52864.sh Tue Jan 09 13:56:00 2018 +0000
+++ b/tests/modules/t_klua_pr_52864.sh Tue Jan 09 15:16:02 2018 +0000
@@ -1,5 +1,5 @@
#! /usr/bin/atf-sh
-# $NetBSD: t_klua_pr_52864.sh,v 1.1 2018/01/08 14:17:15 martin Exp $
+# $NetBSD: t_klua_pr_52864.sh,v 1.2 2018/01/09 15:16:02 martin Exp $
#
# Copyright (c) 2018 The NetBSD Foundation, Inc.
# All rights reserved.
@@ -38,9 +38,13 @@
}
luastate_body() {
+ err=$( modstat -e 2>&1 )
+ if [ $? -gt 0 ]; then
+ atf_skip "${err##modstat:}"
+ fi
sysctl -q kern.lua.verbose
if [ $? -eq 1 ]; then
- atf_check -s eq:0 modload lua
+ atf_check -s eq:0 modload lua
fi
atf_check -s eq:0 luactl -q create atfluastate
atf_check -s eq:0 -o ignore luactl
Home |
Main Index |
Thread Index |
Old Index